mail::setAppCharset
Prev | Miscellaneous functions | Next

## Name

mail::setAppCharset — Set application character set

## Synopsis

#include <libmail/misc.H>
#include <langinfo.h>
const char *myCharset=nl_langinfo(CODESET);

`mail::setAppCharset(` | const char *myCharset`)`;

## USAGE

This function should be used to specify the application's character set. LibMAIL automatically translates names of folders between the application's character set, and the mail server's character set.

### Note

LibMAIL supports a limited number of character sets. The full LibMAIL configuration supports the `ISO-8859` character set family, most `windows` character sets, and `KOI8-R`. Some East Asian character sets (Japanese, traditional and simplified Chinese) are experimental, and have not been fully tested.

## Return Codes

This function returns `true` if the character set was succesfully installed; `false` if the character set is not supported.

## SEE ALSO

mail::account::open(3x).

Prev | Up | Next
mail::loginUrlDecode | Home | ToC | mail::upper